BLITZ(1)

NAME
blitz - Securely transfer files between two workstations through NAT/Firewall.

SYNOPSIS
blitz [-lT] [-s secret] [-k keyfile] [-f list] [-o RSOPT=] [files ...]

DESCRIPTION
The blitz utility is a wrapper script for gs-netcat and rsync. It allows one to send files from one workstation to another workstation via the Global Socket Relay Network (GSRN).

A typical use-case is where both workstations are separated by a Firewall or NAT and not able to establish a direct connection between each other.

OPTIONS

-l  Server mode. The default mode is client.

-s secret
    A password chosen by the user. Both users need to use the same password to connect.

-k FILE
    A file containing the password.

-f FILE
    Read list of file names from FILE. If FILE is -, the list will be read from standard input.

-o RSOPT=
    Options passed to rsync. See rsync(1) for available options.

-T  Use TOR. The blitz tool will connect via TOR to the GSRN. This requires TOR to be installed and running. The IP and PORT of the TOR server can be set using environment variables.

See gs-netcat(1) for more options.

EXAMPLES
Listen for clients with password 'MySecret':
    $ mkdir /tmp/foo && cd /tmp/foo
    $ blitz -s MySecret -l

Copy 'file.dat' to /tmp/foo/file.dat on the server:
    $ blitz -s MySecret file.dat

Copy '/etc/ssh/ssh*config' to /tmp/foo/etc/ssh/ on the server:
    $ blitz -s MySecret /etc/ssh/ssh*config

It is also possible to limit the amount of path information that is sent as implied directories for each path you specify. You can insert a dot and a slash into the source path, like this:

    $ blitz -s MySecret /etc/./ssh/ssh*config
The received files will be stored to /tmp/foo/ssh/ instead of /tmp/foo/etc/ssh.

Copy recursively and limit bandwidth to 10kB/sec:
    $ blitz -s MySecret -o 'RSOPT=--bwlimit=10' /usr/./share

Copy the entire root file-system:
    $ blitz -s MySecret -o 'RSOPT=-x' /

Copy specific files read from standard input:
    $ find . -name '*.conf' | blitz -s MySecret -f -

Run a permanent server (daemon) through TOR:
    $ blitz -s MySecret -l -D -T

ENVIRONMENT
See gs-netcat(1) for a list of supported environment variables.

SEE ALSO
gsocket(1), gs-netcat(1), gs-sftp(1), gs-mount(1), rsync(1)

BUGS
Efforts have been made to have blitz "do the right thing" in all its various modes. If you believe that it is doing the wrong thing under whatever circumstances, please notify me (skyper@thc.org) and tell me how you think it should behave.